export class HTMLNode {
    get length() {
        return this.el.length;
    }
    get nativeElement() {
        if (this.el.length === 1)
            return this.el[0];
        return this.el;
    }
    get nativeArray() {
        return this.el;
    }
    get classList() {
        if (this.length === 1)
            return this.el[0].classList;
    }
    get style() {
        if (this.length === 1)
            return this.el[0].style;
    }
    get dataset() {
        if (this.length === 1)
            return this.el[0].dataset;
    }
    querySelectorAll(selector) {
        return this.el.map(el => [].slice.call(el.querySelectorAll(selector)))
            .reduce((flat, next) => flat.concat(next), []);
    }
    querySelector(selector) {
        return this.querySelectorAll(selector).shift();
    }
    map(callback) {
        return this.el.map(callback);
    }
    filter(callback) {
        return this.el.filter(callback);
    }
    forEach(callback) {
        this.el.forEach(callback);
    }
    findIndex(callback) {
        return this.el.findIndex(callback);
    }
    setAttribute(attribute, value) {
        this.el.forEach(el => el.setAttribute(attribute, value));
    }
    getAttribute(attribute) {
        return this.el[0].getAttribute(attribute);
    }
    hasAttribute(attribute) {
        return this.el[0].hasAttribute(attribute);
    }
    constructor(selector) {
        this.selector = selector;
        this.el = [].slice.call(document.querySelectorAll(this.selector));
    }
}
