export interface AnimateParams {
    timing?: Function;
    draw?: Function;
    duration?: number;
    element?: HTMLElement;
    loop?: boolean;
    start?: number;
    before?: Function;
    complete?: Function;
}
export declare class Utils {
    static addClass(el: HTMLElement, value: string): void;
    static removeClass(el: HTMLElement, value: string): void;
    static hasClass(el: HTMLElement, value: string): boolean;
    static toggleClass(el: HTMLElement, value: string): void;
    private static requestAnimFrame;
    static animate(p: AnimateParams): Function;
    static easeInOutQuad(time: number): number;
    static easeOutQuad(time: number): number;
    static easeOutCubic(time: number): number;
    static linear(time: number): number;
    static serialize(obj: any): string;
    static stringToSlug(str: string): string;
    static urlencode(element: any, key?: string, list?: any[]): string;
    static formatMoney(val: number, decPlaces: number, decSep: string, thouSep: string): string;
    static setCookie(name: string, value: string, days?: number, path?: string): void;
    static readCookie(name: string): string;
    static eraseCookie(name: string, path?: string): void;
}
